org.apache.lucene.queries.function.valuesource

## Class FloatFieldSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource
    - - org.apache.lucene.queries.function.valuesource.FloatFieldSource

    public class FloatFieldSource
    extends FieldCacheSource

Obtains float field values from the `FieldCache` using `getFloats()` and makes those values available as other numeric types, casting as needed.

### Field Summary

Fields
`protected FieldCache.FloatParser` `parser`

### Fields inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`cache, field`

### Constructor Summary

Constructors
Constructor and Description
`FloatFieldSource(String field)`
`FloatFieldSource(String field, FieldCache.FloatParser parser)`

### Method Summary

Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`FunctionValues` `getValues(Map context, AtomicReaderContext readerContext)` Gets the values for this reader and the context that was previously passed to createWeight()
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.valuesource.FieldCacheSource

`getField, getFieldCache`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`createWeight, getSortField, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### parser

    protected final FieldCache.FloatParser parser

### Constructor Detail

#### FloatFieldSource

    public FloatFieldSource(String field)

#### FloatFieldSource

    public FloatFieldSource(String field,
                    FieldCache.FloatParser parser)

### Method Detail

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Overrides:
  `description` in class `FieldCacheSource`

#### getValues

    public FunctionValues getValues(Map context,
                           AtomicReaderContext readerContext)
                             throws IOException

Description copied from class: `ValueSource`
Gets the values for this reader and the context that was previously passed to createWeight()

Specified by:
  `getValues` in class `ValueSource`
Throws:
  `IOException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `FieldCacheSource`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `FieldCacheSource`